| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Public Member Functions | List of all members
cv::detail::OpaqueRefT< T > Class Template Referencefinal

`#include <opencv2/gapi/gopaque.hpp>`

Collaboration diagram for cv::detail::OpaqueRefT< T >:

## Public Member Functions
| OpaqueRefT ()
| OpaqueRefT (const T &obj)
| OpaqueRefT (T &&obj)
| OpaqueRefT (T &obj)
virtual | ~OpaqueRefT ()
virtual void | mov (BasicOpaqueRef &v) override
virtual const void * | ptr () const override
void | reset ()
const T & | rref () const
virtual void | set (const cv::util::any &a) override
T & | wref ()
Public Member Functions inherited from cv::detail::BasicOpaqueRef
virtual | ~BasicOpaqueRef ()

## Additional Inherited Members
Public Attributes inherited from cv::detail::BasicOpaqueRef
cv::GOpaqueDesc | m_desc

## Constructor & Destructor Documentation

## ◆ OpaqueRefT() [1/4]

template<typename T >

cv::detail::OpaqueRefT< T >::OpaqueRefT | ( |  | ) |
| inline

## ◆ ~OpaqueRefT()

template<typename T >

virtual cv::detail::OpaqueRefT< T >::~OpaqueRefT | ( |  | ) |
| inline virtual

## ◆ OpaqueRefT() [2/4]

template<typename T >

cv::detail::OpaqueRefT< T >::OpaqueRefT | ( | const T & | obj | ) |
| inline explicit

## ◆ OpaqueRefT() [3/4]

template<typename T >

cv::detail::OpaqueRefT< T >::OpaqueRefT | ( | T & | obj | ) |
| inline explicit

## ◆ OpaqueRefT() [4/4]

template<typename T >

cv::detail::OpaqueRefT< T >::OpaqueRefT | ( | T && | obj | ) |
| inline explicit

## Member Function Documentation

## ◆ mov()

template<typename T >

virtual void cv::detail::OpaqueRefT< T >::mov | ( | BasicOpaqueRef & | v | ) |
| inline override virtual

Implements cv::detail::BasicOpaqueRef.

Here is the call graph for this function:

## ◆ ptr()

template<typename T >

virtual const void * cv::detail::OpaqueRefT< T >::ptr | ( |  | ) | const
| inline override virtual

Implements cv::detail::BasicOpaqueRef.

Here is the call graph for this function:

## ◆ reset()

template<typename T >

void cv::detail::OpaqueRefT< T >::reset | ( |  | ) |
| inline

Here is the call graph for this function:

## ◆ rref()

template<typename T >

const T & cv::detail::OpaqueRefT< T >::rref | ( |  | ) | const
| inline

Here is the call graph for this function:

## ◆ set()

template<typename T >

virtual void cv::detail::OpaqueRefT< T >::set | ( | const cv::util::any & | a | ) |
| inline override virtual

Implements cv::detail::BasicOpaqueRef.

Here is the call graph for this function:

## ◆ wref()

template<typename T >

T & cv::detail::OpaqueRefT< T >::wref | ( |  | ) |
| inline

Here is the call graph for this function:

The documentation for this class was generated from the following file:

- opencv2/gapi/gopaque.hpp